%define		main_version 3.99.5
%define		sub_version SP03

Name:		pcsc-cyberjack
Version:	%main_version.%sub_version
Release:	%mkrel 6
Summary:	PC/SC driver for REINER SCT cyberjack USB chipcard reader
License:	LGPLv2+
Group:		System/Kernel and hardware
URL:		http://www.reiner-sct.com/index.php?option=content&task=view&id=234
Source0:	http://support.reiner-sct.de/downloads/LINUX/V%{main_version}_%{sub_version}/%{name}_%{main_version}final.%{sub_version}.tar.gz
Patch1:		pcsc-cyberjack-3.99.5final.SP03-glibc-2.17.patch
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
Requires:	pcsc-lite

%description
This package includes the IFD driver for the cyberJack contactless (RFID)
and contact USB chipcard reader.

For more information regarding installation under Linux see the README.txt
in the documentation directory, esp. regarding compatibility with host
controllers.

For more information about the reader, software updates and a shop see
http://www.reiner-sct.com/

%prep
%setup -q -n %{name}-%{main_version}final.%{sub_version}
%patch1 -p1 -b .glibc-2_17

%build
%configure2_5x --disable-static

%make

#manually build extra tools
%make -C tools/cjflash
%make -C tools/cjgeldkarte

%install
%makeinstall_std

#manually install extra tools
install -m0755 tools/cjflash/cjflash %{buildroot}%{_bindir}
install -m0755 tools/cjgeldkarte/cjgeldkarte %{buildroot}%{_bindir}

#remove unneeded files
rm -f %{buildroot}%{_libdir}/cyberjack/pcscd_init.diff
rm -f %{buildroot}%{_libdir}/pcsc/drivers/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.la

%files
%doc ChangeLog COPYRIGHT.LGPL doc/README.txt doc/LIESMICH.txt
%{_sysconfdir}/cyberjack.conf.default
%{_bindir}/cyberjack
%{_bindir}/cjflash
%{_bindir}/cjgeldkarte
%{_libdir}/cyberjack/getdist.sh
%{_libdir}/pcsc/drivers/libifd-cyberjack.bundle/Contents/Info.plist
%{_libdir}/pcsc/drivers/libifd-cyberjack.bundle/Contents/PkgInfo
%{_libdir}/pcsc/drivers/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.so
%{_libdir}/pcsc/drivers/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.so.*
%{_mandir}/cyberjack.8*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.99.5.SP03-6.mga5
+ Revision: 739335
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.99.5.SP03-5.mga5
+ Revision: 727545
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.99.5.SP03-4.mga5
+ Revision: 683373
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.99.5.SP03-3.mga4
+ Revision: 509250
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 cjw <cjw> 3.99.5.SP03-2.mga3
+ Revision: 363236
- patch1: fix build with glibc 2.17

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 doktor5000 <doktor5000> 3.99.5.SP03-1.mga2
+ Revision: 200261
- fix license tag to LGPLv2+
- add %%sub_version to %%version
- use placeholders in %%files list
- imported package pcsc-cyberjack

